function [] = initialize()
%INITIALIZE Summary of this function goes here
%   Detailed explanation goes here

global artoaWorkspace;

callbacks = artoaWorkspace.defaults.mainCallbacks;

availableCallbacks = { ...
    'tableSoundsourceOffsetsSelect', ...
    'tableSoundsourceOffsetsEdit', ...
    'tableSoundspeedEdit', ...
    'buttonCalculateOffsets', ...
    'checkboxUseOffsets', ...
    'buttonCopyFromOptimum', ...
    'buttonCopyFromMeasured', ...
    'buttonEmpiricalToNan', ...
    'buttonUndoLastCopy' ...
};

for i = 1:length(availableCallbacks) % check if a callback is undefined
    if ~isfield(callbacks, availableCallbacks{i})
        callbacks.(availableCallbacks{i}) = @(~, ~) false;
    end
end

artoa.controller.edit.offsets.initializeSoundspeedTable();
artoa.controller.edit.offsets.updateWorkspaceOffsetsTable();

end

