function [] = onKeyDown(~, keyData)
%ONMOUSEWHEELFCN Summary of this function goes here
%   Detailed explanation goes here

global artoaGui;

hManager = uigetmodemanager(artoaGui.figures.editTimeOfArrival);

if strcmp(keyData.Key, 'z')
    z = zoom;
    if strcmp(z.Enable, 'on')
        % does not work because matlab disables all interaction callbacks
        % during zoom or pan mode
        zoom off;
    else
        zoom on;
    end
end

if strcmp(keyData.Key, 'p')
    p = pan;
    if strcmp(p.Enable, 'on')
        % does not work because matlab disables all interaction callbacks
        % during zoom or pan mode
        pan off;
    else
        pan on;
    end
end

if ~artoa.data.hasMember(artoaGui, 'editTimeOfArrival')
    return;
end

if ~isempty(keyData.Key) & strcmp(keyData.Key, 'shift')
    artoaGui.editTimeOfArrival.keyShiftDown = true;
end


end

