function [versionString] = getVersionString(pCommitNumberOnly)
%GETVERSIONSTRING Summary of this function goes here
%   Detailed explanation goes here

%% Initialize input parameter
if nargin == 0
    pCommitNumberOnly = false;
end

%% Read version string
versionString = strtrim( ...
    fileread( ...
    fullfile(fileparts(mfilename('fullpath')), '..', '..', '..', 'VERSION') ...
    ) ...
    );

if pCommitNumberOnly
    return;
end

versionString = ['Version 4.' versionString];

end

